This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010563 - Add mail-headers "Precedence: bulk" and "Auto-Submitted: auto-generated"
Add mail-headers "Precedence: bulk" and "Auto-Submitted: auto-generated"
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 09:23 EDT by Harald Reindl
Modified: 2014-10-12 18:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4.1012
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 23:40:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-09-21 09:23:49 EDT
please add the following mail headers in notifies

Precedence: bulk
Auto-Submitted: auto-generated

Description of problem:
this avoids any sane autoresponders to generate a reply of the person is at vacation und should be default for any server generated email not written by a human person
Comment 1 Simon Green 2013-09-21 19:15:38 EDT
Can you please point to an RFE that states this standard. Thanks.

  -- simon
Comment 2 Harald Reindl 2013-09-21 19:43:12 EDT
http://git.dbmail.eu/paul/dbmail/commit/?h=dbmail_3_1&id=5c2e221fadbcb77e059723f963e8cd32958bc434

is a source-snippet from the Mailserver we use to supress replies to mailing-lists which all have "Precedence: list", i also made an RFE for logwatch which added this header and from this day if one of our admins is at vacation it stopped to receive replies

my intention for this RFE is that i saw outgoing autoreplies from my own account to the redhat bugzilla afte rnotifies which is not really a thing that should happen
Comment 3 Harald Reindl 2013-09-21 19:44:50 EDT
http://blog.returnpath.com/blog/jd-falk/precedence
Comment 5 Harald Reindl 2013-11-29 04:01:10 EST
thanks

"Auto-Submitted: auto-generated" confirmed, should be enough for our autoresponder but i would suggest "Precedence: list" or "Precedence: bulk" for other mail-systems which ignore "Auto-Submitted" too
Comment 6 Simon Green 2013-11-29 16:25:08 EST
Hi Harald,

As per https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_status MODIFIED only means that change has been put into source control. It does not indicate that the change has been pushed to production Red Hat Bugzilla.

Once the status is CLOSED / CURRENTRELEASE, the change will be live.

  -- simon
Comment 7 Simon Green 2013-12-05 23:40:06 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.